<?php
/**
 * MetaTagSet Factory Interface
 *
 * @author Vincent van Waasbergen <v.vanwaasbergen@visualmedia.nl>
 */
namespace VisualM\TagManagerBundle\Model\TagSet;

/**
 * MetaTagSet Factory Interface
 *
 * @author Vincent van Waasbergen <v.vanwaasbergen@visualmedia.nl>
 */
interface MetaTagSetFactoryInterface
{
		/**
	 	 * Get Form Type
	 	 *
	 	 * @return string|FormTypeInterface|null
	 	 */
    public function getFormType();

    /**
     * Get Form View
     *
     * @return string|null
     */
    public function getFormView();

   	/**
     * Get Title
     *
     * @return string
     */
    public function getTitle();

		/**
     * Get Title
		 *
		 * @param MetaTag $meta_tag
     *
     * @return MetaTag
     */
    public function processMetaTag($meta_tag);
}
